<script setup lang="ts">
const { data: session } = useAuth();

async function copyToClipboard() {
  await navigator.clipboard.writeText(`Bearer ${session?.value?.token}`);
}
</script>

<template>
  <div class="pa-4">
    <v-sheet class="me-auto" style="overflow: hidden; white-space: nowrap; text-overflow: ellipsis">
      <h1>{{ $t("tokens") }}</h1>
    </v-sheet>
    <hr class="mb-3">

    <h3>{{ $t("access_token_title") }}</h3>
    <v-sheet class="d-flex align-center">
      <v-sheet class="me-auto pe-4 text-justify">
        {{ $t("access_token_description") }}
      </v-sheet>
      <v-sheet>
        <v-btn @click="copyToClipboard">
          {{ $t("copy_token") }}
        </v-btn>
      </v-sheet>
    </v-sheet>
    <br>
    <p>
      <b>{{ $t("expires") }}</b>: {{ $d(session?.expires) }}
    </p>
  </div>
</template>

<style></style>
